from ft_filter import ft_filter

print("- 0 filter        :\n\n", filter.__doc__)
print("\n    ft_filter     :\n\n", ft_filter.__doc__)
print("")

msg = "Hello World"

print("- 1 filter        :", filter(None, msg))
print("    ft_filter     :", ft_filter(None, msg))

print("- 2 filter        :", filter(str.isupper, msg))
print("    ft_filter     :", ft_filter(str.isupper, msg))

print("- 3 filter        :", list(filter(None, msg)))
print("    ft_filter     :", list(ft_filter(None, msg)))

print("- 4 filter        :", list(filter(str.isupper, msg)))
print("    ft_filter     :", list(ft_filter(str.isupper, msg)))
